Subject: bug#52874: 26.3; Be able to keep current menu-bar menus when minibuffer is used

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Dec 2021 07:57:00 +0200

> From: Drew Adams <[email-masked]>
> Date: Wed, 29 Dec 2021 22:22:02 +0000
> 
> I misstated this.  The problem is that when the
> minibuffer is active, the menu-bar menus are no
> longer those for what was the current buffer
> before it was active.
> 
> The problem is not the _addition_ of a Minibuf
> menu to the menu-bar.  The problem is that the
> menu-bar menus are changed to be those for the
> new current buffer, which is the minibuffer.
> 
> It should be enough that menu Minibuf is added,
> and so available.  There's little sense in
> changing the other menus to those for a
> relatively plain  buffer such as the minibuffer.

It _is_ added, after removing the parts that were specific to the mode
of the original buffer.  The "constant" parts of the menu bar are
kept.

I still don't understand what kind of problem this causes.  In your
Dired example, the Dired-specific menu items are not useful in the
minibuffer; in fact, using those menu items could get  the user in
trouble (recursive minibuffers and all that).

On the practical side, adding menu items could easily overflow the
one screen line allocated to the menu bar, after which the behavior
becomes ugly and toolkit-dependent.

So I think you suggestion, if accepted, would be a step in the wrong
direction.